# Blocktext.js v2
Blocktext makes it simple to block style your headlines so both lines are the same width.

Live demo available at http://codepen.io/dcdev/pen/sICnf

## How it works
No options are necessary.  Just include the script.  Make sure you load jQuery first.

```html
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<script src="blocktext.js"></script>
```

Your headline block should be assigned the id 'blocktext'

```html
<div id="blocktext">
	<h1>Header Line Blocking</h1>
	<h2>Lorem Ipsum</h2>
</div>
```

And the elements should be set to display as inline elements.

## CSS

```html
<style>
	#blocktext h1,#blocktext h2 {
		display: inline;
	}
	#blocktext h1:after {
		content:"\A";
		white-space: pre;
	}
</style>
```

- **Make sure your elements are set display:inline**
  - The after pseudo style will add a line-break after the first line so that they simulate display block.

## Changelog
* `v 1`   - Initial Release
* `v 2`   - Significant improvement in script speed

### Contribute
If you want to improve this script or add options, please feel free to fork and submit merge requests.


### License

The MIT License (MIT)

Copyright (c) 2014 David Condrey

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.